
void MixAudio (unsigned char *dst, const unsigned char *src, unsigned int len)
{

	signed short src1, src2;
	int dst_sample;
	const int max_audioval = ((1<<15)-1);
	const int min_audioval = -(1<<15);

	len /= 2;
	while ( len-- ) {
		src1 = ((src[1])<<8|src[0]);		
		src2 = ((dst[1])<<8|dst[0]);
		src += 2;
		dst_sample = src1+src2;
		if ( dst_sample > max_audioval ) {
			dst_sample = max_audioval;
		} else
		if ( dst_sample < min_audioval ) {
			dst_sample = min_audioval;
		}
		dst[0] = dst_sample&0xFF;
		dst_sample >>= 8;
		dst[1] = dst_sample&0xFF;
		dst += 2;
	}

} 
