/******************************************
**** Fixed Text Layer Drawing Routines ****
******************************************/
#include "video.h"
#include "../neocd.h"

void draw_fix1(u16 sx,u16 * buf, u16 * paldata,  u32 * fix);

//Draw Single FIX character 
/*
INLINE void draw_fix(u16 sx,u16 * buf, u16 * paldata,  u32 * fix)
{
	u8 y;
	u16 col;

	for(y=0;y<8;y++)
	{		
		u16 * dest = buf + (y<<9)+sx;
		u32 mydword  = *fix++;
		
		col = (mydword>> 0)&0x0f; if (col) dest[0] = paldata[col];
		col = (mydword>> 4)&0x0f; if (col) dest[1] = paldata[col];
		col = (mydword>> 8)&0x0f; if (col) dest[2] = paldata[col];
		col = (mydword>>12)&0x0f; if (col) dest[3] = paldata[col];
		col = (mydword>>16)&0x0f; if (col) dest[4] = paldata[col];
		col = (mydword>>20)&0x0f; if (col) dest[5] = paldata[col];
		col = (mydword>>24)&0x0f; if (col) dest[6] = paldata[col];
		col = (mydword>>28)&0x0f; if (col) dest[7] = paldata[col];
	}
}
*/
/* Draw entire Character Foreground */
void video_draw_fix(void)
{
	u16 x, y;
	u16 code, colour;
	u16 * fixarea=(u16 *)&video_vidram[0xe004];


	for (y=0; y < 28; y++)
	{
		for (x = 0; x < 40; x++)
		{
			code = fixarea[x << 5];
			colour = (code&0xf000)>>8;
			code  &= 0xfff;

			if(video_fix_usage[code])
				draw_fix1((x<<3),vidram_buf+(y<<12),&video_paletteram_pc[colour], (u32*)&(neogeo_fix_memory[code<<5]));
		}
		fixarea++;
	}

}

