/*	Romset loading system for use in NeoDC mme by Donald Haase
	sweet jebbus I can't believe I'm writing code from scratch...

	Example romlist.qu file:

	 ____________________________________________________________________________________________________________________________________
	|2
	|"I am a Romset"	"romset"	"1" {"romsetrom1"	"endian" "mem region"	"start adr"	"end addr"}#
	|"Puzzle Bobble"	"pbobblen"	"7" {"083-p1.bin"	"1"		 "68K1"			"0x000000"	"0x040000"} {"083-s1.bin" "0" "GFX1" "0x000000" "0x10000"} {....
	|____________________________________________________________________________________________________________________________________

How mame does it:

ROM_START( pbobblen )
	ROM_REGION( 0x100000, REGION_CPU1, 0 )
	ROM_LOAD16_WORD_SWAP( "083-p1.bin", 0x000000, 0x040000,)

	NEO_SFIX_128K( "083-s1.bin",)

	NEO_BIOS_SOUND_64K( "083-m1.bin",)

	ROM_REGION( 0x380000, REGION_SOUND1, ROMREGION_SOUNDONLY )
	// 0x000000-0x1fffff empty 
	ROM_LOAD( "083-v3.bin", 0x200000, 0x100000,)
	ROM_LOAD( "083-v4.bin", 0x300000, 0x080000,)

	ROM_REGION( 0x100000, REGION_GFX3, 0 )
	ROM_LOAD16_BYTE( "083-c5.bin", 0x000000, 0x080000,) // Plane 0,1 
	ROM_LOAD16_BYTE( "083-c6.bin", 0x000001, 0x080000,) // Plane 2,3 

*/

struct Roms{
	char * Name;	//name of the rom file
	int	region;		//where does this rom belong?
	int size;		//not sure if this will be needed, might as well...
};
struct romset {
	char * Name;	//outward name of romset
	char * mameName;//mame defined name (aka folder/file name)
	int numfiles;	//number of Roms in set
	Roms * roms;	//pointer to the structs for each rom
	int machine;	//what machine? MVS, Taito B/F2, CPS, etc.
	int orientation;//Vertical or Horizontal?
	int memregion1;	//Size of CPU1 region 
	int memregion2;	//Size of CPU2 region
	int memregion3;	//Size of Sound region
	int memregion4;	//Size of Gfx region
	int memregion5;	//Size of other region
} mainromset[64];


void parseromlist(void){
	FILE * f;		//the romlist.qu file
	char dir[64];	//the path/file of the romlist
	int i = 0;		//general purpose var.

	strcpy(dir,qgetcwd());
	strcat(dir,"romlist.qu");

	f= fopen(dir,O_RDONLY);

	//process the romlist file into romset structs

	//parse line 1 and set up a loop
	int roms = 1; //this should be set to whatever the first line is
	
	for(i=0; i < roms; i++){
		
		int linepos = 0; //position of this loop in the line that is being parsed
		strcpy(mainromset[i].Name,		"this is the substring between quotes ");
		strcpy(mainromset[i].mameName,	"this is the substring between quotes ");


	}

}

void menu (void){

	parseromlist();
//	printromlist();

	//do menu thingies
}
