! -----------------------------------------------------------
! draw_fix function for NeoDC emulator by Quzar
! Oscar Orallo Pelaez
!
! Parameters:
! u16 sx, u16 video_line_ptr, u16 * paldata, char * fix
! r4 = sx
! r5 = video_line_ptr + sy*2
! r6 = paldata
! r7 = fix
! -----------------------------------------------------------
.text
.balign 32
.global _draw_fix1
_draw_fix1:
shll r4           ! sx<<=1
mov #8,r3         ! r3 = outer loop counter (y)
add r4,r5         ! r5 = dest

mloop:
add #16,r5        ! r5 = dest[7]
mov.l @r7+,r1     ! r1 = mydword
mov #-32,r2       ! r2 = shifting value
mov r1,r0

iloop:
add #4,r2
shld r2,r0
and #0x0F,r0      ! r0 = col
tst r0,r0         ! testing col
bt/s .nodest
add #-2,r5

! Loading to dest
shll r0           ! col*=2
mov.w @(r0,r6),r4 ! r4 = paldata[col]
mov.w r4,@r5

.nodest:

tst r2,r2
bf/s iloop
mov r1,r0

mov #4,r0
dt r3
shll8 r0
bf/s mloop
add r0,r5

rts
nop
